# TdApi.InternalLinkTypePassportDataRequest (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InternalLinkTypePassportDataRequest

Package it.tdlight.jni

# Class TdApi.InternalLinkTypePassportDataRequest

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypePassportDataRequest

Enclosing class:
  TdApi

    public static class TdApi.InternalLinkTypePassportDataRequest
    extends TdApi.InternalLinkType

The link contains a request of Telegram passport data. Call getPassportAuthorizationForm with the given parameters to process the link if the link was received from outside of the app, otherwise ignore it.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `botUserId` | User identifier of the service's bot.
`String` | `callbackUrl` | An HTTP URL to open once the request is finished or canceled with the parameter tgPassport=success or tgPassport=cancel respectively.
`static int` | `CONSTRUCTOR` |
`String` | `nonce` | Unique request identifier provided by the service.
`String` | `publicKey` | Service's public key.
`String` | `scope` | Telegram Passport element types requested by the service.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InternalLinkTypePassportDataRequest()` | The link contains a request of Telegram passport data.
`InternalLinkTypePassportDataRequest​(long botUserId, String scope, String publicKey, String nonce, String callbackUrl)` | The link contains a request of Telegram passport data.
`InternalLinkTypePassportDataRequest​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
User identifier of the service's bot.

### scope

public String scope
Telegram Passport element types requested by the service.

### publicKey

public String publicKey
Service's public key.

### nonce

public String nonce
Unique request identifier provided by the service.

### callbackUrl

public String callbackUrl
An HTTP URL to open once the request is finished or canceled with the parameter tgPassport=success or tgPassport=cancel respectively. If empty, then the link tgbot{botUserId}://passport/success or tgbot{botUserId}://passport/cancel needs to be opened instead.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InternalLinkTypePassportDataRequest

public InternalLinkTypePassportDataRequest()
The link contains a request of Telegram passport data. Call getPassportAuthorizationForm with the given parameters to process the link if the link was received from outside of the app, otherwise ignore it.

### InternalLinkTypePassportDataRequest

public InternalLinkTypePassportDataRequest​(long botUserId, String scope, String publicKey, String nonce, String callbackUrl)
The link contains a request of Telegram passport data. Call getPassportAuthorizationForm with the given parameters to process the link if the link was received from outside of the app, otherwise ignore it.

Parameters:
  `botUserId` - long User identifier of the service's bot.
  `scope` - String Telegram Passport element types requested by the service.
  `publicKey` - String Service's public key.
  `nonce` - String Unique request identifier provided by the service.
  `callbackUrl` - String An HTTP URL to open once the request is finished or canceled with the parameter tgPassport=success or tgPassport=cancel respectively. If empty, then the link tgbot{botUserId}://passport/success or tgbot{botUserId}://passport/cancel needs to be opened instead.

### InternalLinkTypePassportDataRequest

public InternalLinkTypePassportDataRequest​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`